#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEF,0x10,0xDC,0x94,0x8E,0xCB,0xC3,0x6A,0x8C,0x9B,0x71,0x2B,
		0x80,0xEC,0xD9,0x42,0xA1,0x4A,0x2D,0x4A,0x70,0xF9,0xA4,0x4E,
		0xE1,0xAC,0xAD,0x37,0x26,0xFF,0xA7,0xF9,0xC9,0x77,0x39,0x5F,
		0x7B,0xD5,0x7F,0x6E,0xBD,0x8A,0x31,0x2C,0xEB,0x75,0x93,0xB3,
		0x15,0xCC,0x72,0x3E,0x9D,0xC0,0xBE,0xA0,0x3D,0x4F,0xDA,0x0D,
		0xC2,0x68,0xFA,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
